---
sidebar_position: 0
slug: /
---

# Τι είναι το LlamaIndex.TS;

`Αυτό το έγγραφο έχει μεταφραστεί αυτόματα και μπορεί να περιέχει λάθη. Μη διστάσετε να ανοίξετε ένα Pull Request για να προτείνετε αλλαγές.`

Το LlamaIndex.TS είναι ένα πλαίσιο δεδομένων για εφαρμογές LLM για την εισαγωγή, δομή και πρόσβαση σε ιδιωτικά ή τομεακά δεδομένα. Ενώ υπάρχει επίσης ένα πακέτο python διαθέσιμο (δείτε [εδώ](https://docs.llamaindex.ai/en/stable/)), το LlamaIndex.TS προσφέρει βασικές λειτουργίες σε ένα απλό πακέτο, βελτιστοποιημένο για χρήση με την TypeScript.

## 🚀 Γιατί το LlamaIndex.TS?

Στην ουσία τους, τα LLM προσφέρουν μια φυσική γλωσσική διεπαφή μεταξύ ανθρώπων και εξαγόμενων δεδομένων. Διαθέσιμα μοντέλα έρχονται προ-εκπαιδευμένα με τεράστιες ποσότητες δημόσιων δεδομένων, από τη Βικιπαίδεια και τις λίστες αλληλογραφίας μέχρι τα εγχειρίδια και τον πηγαίο κώδικα.

Οι εφαρμογές που βασίζονται σε LLM συχνά απαιτούν την επέκταση αυτών των μοντέλων με ιδιωτικά ή τομεακά δεδομένα. Δυστυχώς, αυτά τα δεδομένα μπορεί να είναι κατανεμημένα σε εφαρμογές και αποθηκευτικούς χώρους δεδομένων. Βρίσκονται πίσω από διεπαφές προγραμματισμού εφαρμογών (APIs), σε βάσεις δεδομένων SQL ή παγιδευμένα σε PDF και παρουσιάσεις.

Εδώ εμφανίζεται το **LlamaIndex.TS**.

## 🦙 Πώς μπορεί να βοηθήσει το LlamaIndex.TS;

Το LlamaIndex.TS παρέχει τα εξής εργαλεία:

- **Φόρτωση δεδομένων** εισαγωγή των υπαρχόντων δεδομένων σας απευθείας από αρχεία `.txt`, `.pdf`, `.csv`, `.md` και `.docx`
- **Δείκτες δεδομένων** δομήστε τα δεδομένα σας σε ενδιάμεσες αναπαραστάσεις που είναι εύκολες και αποδοτικές για την κατανάλωση από τα LLMs.
- **Μηχανές** παρέχουν φυσική γλώσσα πρόσβασης στα δεδομένα σας. Για παράδειγμα:
  - Οι μηχανές ερωτήσεων είναι ισχυρές διεπαφές ανάκτησης για επιπλέον γνώση.
  - Οι μηχανές συνομιλίας είναι διαδραστικές διεπαφές για πολυ-μηνυματικές, "πίσω και μπροστά" αλληλεπιδράσεις με τα δεδομένα σας.

"

## 👨‍👩‍👧‍👦 Για ποιους είναι το LlamaIndex;

Το LlamaIndex.TS παρέχει έναν πυρήνα εργαλείων, απαραίτητο για οποιονδήποτε δημιουργεί εφαρμογές LLM με JavaScript και TypeScript.

Η υψηλού επιπέδου διεπαφή μας επιτρέπει στους αρχάριους χρήστες να χρησιμοποιούν το LlamaIndex.TS για την εισαγωγή και ανάκτηση των δεδομένων τους.

Για πιο πολύπλοκες εφαρμογές, οι χαμηλότερου επιπέδου διεπαφές μας επιτρέπουν στους προχωρημένους χρήστες να προσαρμόσουν και να επεκτείνουν οποιοδήποτε μονάδα - συνδέσεις δεδομένων, ευρετήρια, ανακτητές και μηχανές ερωτήσεων - για να ταιριάζουν στις ανάγκες τους.

## Ξεκινώντας

`npm install llamaindex`

Η τεκμηρίωσή μας περιλαμβάνει [Οδηγίες Εγκατάστασης](./installation.mdx) και ένα [Εισαγωγικό Εκπαιδευτικό Πρόγραμμα](./starter.md) για να δημιουργήσετε την πρώτη σας εφαρμογή.

Αφού ξεκινήσετε, οι [Υψηλού Επιπέδου Έννοιες](./getting_started/concepts.md) παρέχουν μια επισκόπηση της μοντουλαρισμένης αρχιτεκτονικής του LlamaIndex. Για περισσότερα πρακτικά παραδείγματα, ρίξτε μια ματιά στα [Ολοκληρωμένα Εκπαιδευτικά Προγράμματα](./end_to_end.md).

## 🗺️ Οικοσύστημα

Για να κατεβάσετε ή να συνεισφέρετε, βρείτε το LlamaIndex στα παρακάτω:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Κοινότητα

Χρειάζεστε βοήθεια; Έχετε πρόταση για λειτουργία; Εγγραφείτε στην κοινότητα του LlamaIndex:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
