---
sidebar_position: 3
---

# מושגים ברמה גבוהה

`התיעוד הזה תורגם באופן אוטומטי ועשוי להכיל טעויות. אל תהסס לפתוח בקשת משיכה כדי להציע שינויים.`

LlamaIndex.TS עוזר לך לבנות אפליקציות מבוססות LLM (לדוגמה, שאלות ותשובות, צ'אטבוט) על נתונים מותאמים אישית.

במדריך זה על מושגים ברמה גבוהה, תלמד:

- איך LLM יכול לענות על שאלות באמצעות הנתונים שלך.
- מושגים מרכזיים ומודולים ב- LlamaIndex.TS לבניית צינור השאילתות האישי שלך.

## עניית שאלות בכל הנתונים שלך

LlamaIndex משתמש בשיטה דו-שלבית בעת שימוש ב- LLM עם הנתונים שלך:

1. **שלב האינדקס**: הכנת בסיס ידע, ו
2. **שלב השאילתה**: איתור הקשר הרלוונטי מהידע כדי לסייע ל- LLM להגיב לשאלה

![](./_static/concepts/rag.jpg)

תהליך זה ידוע גם בשם Retrieval Augmented Generation (RAG).

LlamaIndex.TS מספק את הכלי הקריטי להקל על שני השלבים.

בואו נבחן כל שלב בפרט.

### שלב האינדקס

LlamaIndex.TS עוזר לך להכין את בסיס הידע עם אוסף של מחברי נתונים ואינדקסים.

![](./_static/concepts/indexing.jpg)

[**מטעני נתונים**](./modules/high_level/data_loader.md):
מחבר נתונים (כמו `Reader`) מטעין נתונים ממקורות נתונים שונים ומסוגים שונים לתוך ייצוג פשוט של `Document` (טקסט ומטה-נתונים פשוטים).

[**מסמכים / צמתים**](./modules/high_level/documents_and_nodes.md): `Document` הוא מעטפת גנרית סביב כל מקור נתונים - לדוגמה, PDF, פלט API או נתונים שמושגבים ממסד נתונים. `Node` הוא היחידה האטומית של נתונים ב-LlamaIndex ומייצגת "חתיכה" של `Document` מקור. זו ייצוג עשיר הכולל מטה-נתונים וקשרים (לצמתים אחרים) שמאפשרים פעולות איתור מדויקות וביטויות.

[**אינדקסים של נתונים**](./modules/high_level/data_index.md):
לאחר שטענת את הנתונים שלך, LlamaIndex עוזר לך לאינדקס את הנתונים לתבנית שקל לאחזר.

מתחת למסך, LlamaIndex מפענח את המסמכים הגולמיים לייצוגים אמצעיים, מחשב מוטות ושומר את הנתונים שלך בזיכרון או בדיסק.

"

### שלב השאילתה

בשלב השאילתה, צינור השאילתות מחזיר את ההקשר הרלוונטי ביותר לפי שאילתת המשתמש,
ומעביר אותו ל- LLM (יחד עם השאילתה) כדי לסינתז תשובה.

זה נותן ל- LLM ידע מעודכן שאינו נמצא בנתוני האימון המקוריים שלו,
(ומפחית גם הזיות).

האתגר המרכזי בשלב השאילתה הוא איתור, אורכסטרציה והיגיון מעל בסיסי הידע (אולי רבים).

LlamaIndex מספק מודולים שניתן להרכיב ביחד ולעזור לך לבנות ולשלב צינורות RAG עבור שאלות ותשובות (מנוע השאילתות), צ'אטבוט (מנוע הצ'אט), או כחלק מסוכן.

אלה יכולים להתאים אישית כדי לשקף העדפות דירוג, וגם להרכיב על בסיסי הידע הרבים בדרך מובנית.

![](./_static/concepts/querying.jpg)

#### בלוקי בנייה

[**מחזירים**](./modules/low_level/retriever.md):
מחזיר מגדיר איך לאחזר ביעילות הקשר הרלוונטי מבסיס ידע (כלומר אינדקס) כאשר נתונה שאילתת משתמש.
הלוגיקה הספציפית לאיחוד נמצאת באינדקסים שונים, הפופולריים ביותר הם איחוד צפיפה נגד אינדקס וקטור.

[**מסינתזי תגובה**](./modules/low_level/response_synthesizer.md):
מסינתזי תגובה יוצרים תגובה מ-LLM, באמצעות שאילתת משתמש וסט נתונים מוחזרים של קטעי טקסט.

#### צינורות

[**מנועי שאילתה**](./modules/high_level/query_engine.md):
מנוע שאילתה הוא צינור סוף-לסוף שמאפשר לך לשאול שאלה על הנתונים שלך.
הוא מקבל שאילתה בשפת טבע, ומחזיר תשובה, יחד עם ההקשר המתאים שאוחזר ומועבר ל- LLM.

[**מנועי צ'אט**](./modules/high_level/chat_engine.md):
מנוע צ'אט הוא צינור סוף-לסוף לנהוג שיחה עם הנתונים שלך
(מרובות הודעות במקום שאלה יחידה ותשובה).

"
