---
sidebar_position: 0
slug: /
---

# מהו LlamaIndex.TS?

`התיעוד הזה תורגם באופן אוטומטי ועשוי להכיל טעויות. אל תהסס לפתוח בקשת משיכה כדי להציע שינויים.`

LlamaIndex.TS הוא מסגרת נתונים עבור יישומים LLM לספיגת, מבנה וגישה לנתונים פרטיים או דומיין-ספציפיים. בעוד חבילת פייתון זמינה גם (ראה [כאן](https://docs.llamaindex.ai/en/stable/)), LlamaIndex.TS מציע תכונות יסודיות בחבילה פשוטה, מותאמת לשימוש עם TypeScript.

## 🚀 למה LlamaIndex.TS?

במהותם, LLMs מציעים ממשק שפה טבעית בין אנשים לנתונים שנגזרים. מודלים זמינים בצורה נרחבת מאוד מאומצים מראש על כמויות עצומות של נתונים זמינים לציבור, מוויקיפדיה ורשימות דיוור עד לספרי לימוד וקוד מקור.

יישומים שנבנים על בסיס LLMs דורשים לעיתים קרובות להוסיף למודלים אלו נתונים פרטיים או דומיין-ספציפיים. לצערנו, הנתונים הללו יכולים להיות מפוזרים בין יישומים ומאגרי נתונים מופרדים. הם נמצאים מאחורי ממשקי תכנות (APIs), במסדי נתונים SQL או נתונים תפוסים בקבצי PDF ומצגות.

זהו המקום שבו מתערבת **LlamaIndex.TS**.

## 🦙 איך LlamaIndex.TS יכול לעזור?

LlamaIndex.TS מספק את הכלים הבאים:

- **טעינת נתונים** ספיגת הנתונים הקיימים שלך בפורמטים `.txt`, `.pdf`, `.csv`, `.md` ו-`.docx` ישירות
- **אינדקסים לנתונים** מבנה את הנתונים שלך בייצוגים אמצעיים שהם קלים ויעילים לשימוש עם LLMs.
- **מנועים** מספקים גישה בשפת הטבע לנתונים שלך. לדוגמה:
  - מנועי שאילתות הם ממשקי גישה עוצמתיים לפלט מועשר בידע.
  - מנועי צ'אט הם ממשקים שיחתיים למרות הודעות, התקשרויות "הלוך ושוב" עם הנתונים שלך.

"

## 👨‍👩‍👧‍👦 למי מיועד LlamaIndex?

LlamaIndex.TS מספק סט כלים יסודי, הכרחיים לכל מי שמבנה אפליקציות LLM עם JavaScript ו-TypeScript.

API הרמה הגבוהה שלנו מאפשר למשתמשים מתחילים להשתמש ב-LlamaIndex.TS לספיגת ושאילתת הנתונים שלהם.

ליישומים מורכבים יותר, ה- API הרמה הנמוכה שלנו מאפשר למשתמשים מתקדמים להתאים אישית ולהרחיב כל מודול - מחברי נתונים, אינדקסים, מחזירים ומנועי שאילתות, כדי להתאים אותם לצרכיהם.

## התחלה מהירה

`npm install llamaindex`

התיעוד שלנו כולל [הוראות התקנה](./installation.mdx) ו[מדריך התחלה](./starter.md) לבניית היישום הראשון שלך.

כאשר אתה מוכן ורץ, [מושגים ברמה גבוהה](./getting_started/concepts.md) מציג סקירה על ארכיטקטורה מודולרית של LlamaIndex. לדוגמאות פרקטיות יותר, עיין ב[מדריכים מתקדמים מתחילה ועד סוף](./end_to_end.md).

"

## 🗺️ אקוסיסטם

כדי להוריד או לתרום, תמצא את LlamaIndex ב:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## קהילה

צריך עזרה? יש לך הצעת תכונה? הצטרף לקהילת LlamaIndex:

- Twitter: https://twitter.com/llama_index
- Discord https://discord.gg/dGcwcsnxhU
