---
sidebar_position: 0
slug: /
---

# Apa itu LlamaIndex.TS?

`Dokumentasi ini telah diterjemahkan secara otomatis dan mungkin mengandung kesalahan. Jangan ragu untuk membuka Pull Request untuk mengusulkan perubahan.`

LlamaIndex.TS adalah kerangka data untuk aplikasi LLM untuk mengambil, membangun struktur, dan mengakses data pribadi atau khusus domain. Meskipun paket python juga tersedia (lihat [di sini](https://docs.llamaindex.ai/en/stable/)), LlamaIndex.TS menawarkan fitur inti dalam paket yang sederhana, dioptimalkan untuk penggunaan dengan TypeScript.

## 🚀 Mengapa LlamaIndex.TS?

Pada intinya, LLM menawarkan antarmuka bahasa alami antara manusia dan data yang disimpulkan. Model yang tersedia secara luas telah dilatih sebelumnya dengan jumlah data yang sangat besar yang tersedia secara publik, mulai dari Wikipedia dan milis hingga buku teks dan kode sumber.

Aplikasi yang dibangun di atas LLM sering membutuhkan penambahan data pribadi atau khusus domain ke dalam model-model ini. Sayangnya, data tersebut dapat tersebar di berbagai aplikasi dan penyimpanan data yang terisolasi. Data tersebut mungkin berada di balik API, dalam database SQL, atau terperangkap dalam file PDF dan slide presentasi.

Di sinilah peran **LlamaIndex.TS** menjadi penting.

## 🦙 Bagaimana LlamaIndex.TS dapat membantu?

LlamaIndex.TS menyediakan alat-alat berikut:

- **Pemuatan data** mengimpor data `.txt`, `.pdf`, `.csv`, `.md`, dan `.docx` yang sudah ada secara langsung.
- **Indeks data** membangun struktur data dalam representasi perantara yang mudah dan performa untuk dikonsumsi oleh LLM.
- **Mesin** menyediakan akses bahasa alami ke data Anda. Misalnya:
  - Mesin kueri adalah antarmuka pengambilan yang kuat untuk output yang diperkaya pengetahuan.
  - Mesin obrolan adalah antarmuka percakapan untuk interaksi "bolak-balik" dengan data Anda.

## 👨‍👩‍👧‍👦 Untuk siapa LlamaIndex ditujukan?

LlamaIndex.TS menyediakan seperangkat alat inti yang penting bagi siapa pun yang membangun aplikasi LLM dengan JavaScript dan TypeScript.

API tingkat tinggi kami memungkinkan pengguna pemula menggunakan LlamaIndex.TS untuk mengimpor dan mengambil data mereka.

Untuk aplikasi yang lebih kompleks, API tingkat lebih rendah kami memungkinkan pengguna yang lebih mahir untuk menyesuaikan dan memperluas modul apa pun - penghubung data, indeks, pengambil, dan mesin kueri, sesuai dengan kebutuhan mereka.

## Memulai

`npm install llamaindex`

Dokumentasi kami mencakup [Instruksi Instalasi](./installation.mdx) dan [Tutorial Awal](./starter.md) untuk membangun aplikasi pertama Anda.

Setelah Anda mulai, [Konsep Tingkat Tinggi](./getting_started/concepts.md) memberikan gambaran tentang arsitektur modular LlamaIndex. Untuk contoh praktis yang lebih mendalam, lihat [Tutorial End-to-End](./end_to_end.md).

## 🗺️ Ekosistem

Untuk mengunduh atau berkontribusi, temukan LlamaIndex di:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Komunitas

Butuh bantuan? Punya saran fitur? Bergabunglah dengan komunitas LlamaIndex:

- Twitter: https://twitter.com/llama_index
- Discord https://discord.gg/dGcwcsnxhU
