---
sidebar_position: 0
slug: /
---

# Ce este LlamaIndex.TS?

`Această documentație a fost tradusă automat și poate conține erori. Nu ezitați să deschideți un Pull Request pentru a sugera modificări.`

LlamaIndex.TS este un cadru de date pentru aplicațiile LLM pentru a prelua, structura și accesa date private sau specifice domeniului. În timp ce există și un pachet Python disponibil (vezi [aici](https://docs.llamaindex.ai/en/stable/)), LlamaIndex.TS oferă funcții de bază într-un pachet simplu, optimizat pentru utilizarea cu TypeScript.

## 🚀 De ce LlamaIndex.TS?

În esență, LLM-urile oferă o interfață de limbaj natural între oameni și datele inferate. Modelele larg disponibile sunt pre-antrenate pe o cantitate mare de date disponibile public, de la Wikipedia și liste de corespondență la manuale și cod sursă.

Aplicațiile construite pe baza LLM-urilor necesită adesea completarea acestor modele cu date private sau specifice domeniului. Din păcate, aceste date pot fi distribuite în aplicații și depozite de date izolate. Ele se află în spatele API-urilor, în baze de date SQL sau sunt blocate în fișiere PDF și prezentări.

Aici intervine **LlamaIndex.TS**.

## 🦙 Cum poate ajuta LlamaIndex.TS?

LlamaIndex.TS oferă următoarele instrumente:

- **Încărcare de date** preiați direct datele existente în format `.txt`, `.pdf`, `.csv`, `.md` și `.docx`
- **Indexarea datelor** structurează datele în reprezentări intermediare care sunt ușor de utilizat și performante pentru LLM-uri.
- **Motoare** oferă acces în limbaj natural la datele dvs. De exemplu:
  - Motoarele de interogare sunt interfețe puternice de recuperare pentru rezultate îmbogățite cu cunoștințe.
  - Motoarele de chat sunt interfețe de conversație pentru interacțiuni "înainte și înapoi" cu datele dvs.

## 👨‍👩‍👧‍👦 Pentru cine este LlamaIndex?

LlamaIndex.TS oferă un set de instrumente de bază, esențiale pentru oricine construiește aplicații LLM cu JavaScript și TypeScript.

API-ul nostru de nivel înalt permite utilizatorilor începători să utilizeze LlamaIndex.TS pentru a prelua și interoga datele lor.

Pentru aplicații mai complexe, API-urile noastre de nivel inferior permit utilizatorilor avansați să personalizeze și să extindă orice modul - conectori de date, indici, recuperatori și motoare de interogare - pentru a se potrivi nevoilor lor.

## Începerea lucrului

`npm install llamaindex`

Documentația noastră include [Instrucțiuni de instalare](./installation.mdx) și un [Tutorial de pornire](./starter.md) pentru a construi prima ta aplicație.

Odată ce ai început, [Concepte de nivel înalt](./getting_started/concepts.md) oferă o prezentare generală a arhitecturii modulare a LlamaIndex. Pentru mai multe exemple practice, consultă [Tutorialele de la cap la coadă](./end_to_end.md).

## 🗺️ Ecosistem

Pentru a descărca sau contribui, găsiți LlamaIndex pe:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Comunitate

Ai nevoie de ajutor? Ai o sugestie de funcționalitate? Alătură-te comunității LlamaIndex:

- Twitter: https://twitter.com/llama_index
- Discord https://discord.gg/dGcwcsnxhU
