---
sidebar_position: 0
slug: /
---

# LlamaIndex.TS là gì?

`Tài liệu này đã được dịch tự động và có thể chứa lỗi. Đừng ngần ngại mở một Pull Request để đề xuất thay đổi.`

LlamaIndex.TS là một framework dữ liệu cho các ứng dụng LLM để tiếp nhận, cấu trúc và truy cập dữ liệu riêng tư hoặc dữ liệu cụ thể cho lĩnh vực. Trong khi có một gói python cũng có sẵn (xem [ở đây](https://docs.llamaindex.ai/en/stable/)), LlamaIndex.TS cung cấp các tính năng cốt lõi trong một gói đơn giản, tối ưu cho việc sử dụng với TypeScript.

## 🚀 Tại sao chọn LlamaIndex.TS?

Ở cốt lõi của chúng, LLMs cung cấp một giao diện ngôn ngữ tự nhiên giữa con người và dữ liệu được suy luận. Các mô hình phổ biến có sẵn được huấn luyện trước trên lượng lớn dữ liệu công khai, từ Wikipedia và danh sách gửi thư đến sách giáo trình và mã nguồn.

Các ứng dụng được xây dựng trên LLMs thường yêu cầu bổ sung các mô hình này bằng dữ liệu riêng tư hoặc dữ liệu cụ thể cho lĩnh vực. Thật không may, dữ liệu đó có thể được phân tán trên các ứng dụng và kho lưu trữ dữ liệu khác nhau. Nó có thể nằm sau các API, trong cơ sở dữ liệu SQL hoặc bị mắc kẹt trong các tệp PDF và slide.

Đó là lý do LlamaIndex.TS ra đời.

## 🦙 LlamaIndex.TS có thể giúp như thế nào?

LlamaIndex.TS cung cấp các công cụ sau:

- **Tải dữ liệu** tiếp nhận trực tiếp dữ liệu từ các tệp `.txt`, `.pdf`, `.csv`, `.md` và `.docx` hiện có của bạn.
- **Chỉ mục dữ liệu** cấu trúc dữ liệu của bạn thành các biểu diễn trung gian dễ dàng và hiệu suất cho LLMs tiêu thụ.
- **Engines** cung cấp truy cập bằng ngôn ngữ tự nhiên vào dữ liệu của bạn. Ví dụ:
  - Query engines là giao diện truy xuất mạnh mẽ cho đầu ra được tăng cường bằng kiến thức.
  - Chat engines là giao diện trò chuyện cho tương tác "đi lại" đa thông điệp với dữ liệu của bạn.

## 👨‍👩‍👧‍👦 LlamaIndex dành cho ai?

LlamaIndex.TS cung cấp một bộ công cụ cốt lõi, cần thiết cho bất kỳ ai xây dựng ứng dụng LLM với JavaScript và TypeScript.

API cấp cao của chúng tôi cho phép người dùng mới bắt đầu sử dụng LlamaIndex.TS để tiếp nhận và truy vấn dữ liệu của họ.

Đối với các ứng dụng phức tạp hơn, các API cấp thấp của chúng tôi cho phép người dùng nâng cao tùy chỉnh và mở rộng bất kỳ module nào - kết nối dữ liệu, chỉ mục, trình lấy và truy vấn, để phù hợp với nhu cầu của họ.

## Bắt đầu

`npm install llamaindex`

Tài liệu của chúng tôi bao gồm [Hướng dẫn cài đặt](./installation.mdx) và [Hướng dẫn bắt đầu](./starter.md) để xây dựng ứng dụng đầu tiên của bạn.

Khi bạn đã sẵn sàng, [Khái niệm cấp cao](./getting_started/concepts.md) cung cấp một cái nhìn tổng quan về kiến trúc mô-đun của LlamaIndex. Để có thêm ví dụ thực tế, hãy xem qua [Hướng dẫn từ đầu đến cuối](./end_to_end.md).

## 🗺️ Hệ sinh thái

Để tải xuống hoặc đóng góp, hãy tìm LlamaIndex trên:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Cộng đồng

Cần giúp đỡ? Có đề xuất tính năng? Tham gia cộng đồng LlamaIndex:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
